Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.util.downsample
Interface Downsample

All Known Implementing Classes:
  RGBDownsample, SimpleIntensityDownsample

    public interface Downsample

Utility to downsample an image.

Author:
  jheaton

Method Summary
`double[]` | `downSample(Image image, int height, int width)` Downsample the image to the specified height and width.
`void` | `findBounds()` Find the bounds around the image to exclude whitespace.
`int` | `getDownSampleBottom()`
`int` | `getDownSampleLeft()`
`int` | `getDownSampleRight()`
`int` | `getDownSampleTop()`
`int` | `getImageHeight()`
`int` | `getImageWidth()`
`int[]` | `getPixelMap()`
`double` | `getRatioX()`
`double` | `getRatioY()`
`void` | `processImage(Image image)` Process the specified image.

Method Detail

### downSample

    double[] downSample(Image image,
                        int height,
                        int width)

  Downsample the image to the specified height and width.

  Parameters:
    `image` - The image to downsample.
    `height` - The height to downsample to.
    `width` - The width to downsample to.
  Returns:
    The downsampled image.

### findBounds

    void findBounds()

  Find the bounds around the image to exclude whitespace.

### getDownSampleBottom

    int getDownSampleBottom()

  Returns:
    Get the bottom boundary of the image.

### getDownSampleLeft

    int getDownSampleLeft()

  Returns:
    The left boundary of the image.

### getDownSampleRight

    int getDownSampleRight()

  Returns:
    Get the right boundary of the image.

### getDownSampleTop

    int getDownSampleTop()

  Returns:
    Get the top boundary of the image.

### getImageHeight

    int getImageHeight()

  Returns:
    The height of the image.

### getImageWidth

    int getImageWidth()

  Returns:
    The width of the image.

### getPixelMap

    int[] getPixelMap()

  Returns:
    The image pixel map.

### getRatioX

    double getRatioX()

  Returns:
    The x-ratio of the downsample.

### getRatioY

    double getRatioY()

  Returns:
    The y-ratio of the downsample.

### processImage

    void processImage(Image image)

  Process the specified image.

  Parameters:
    `image` - The image to process.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.